#1229 Dropbox Authenticate

1.0.0
closed
Robin Krom
None
5
2013-04-04
2012-06-09
Anonymous
No

Software version: 1.0.0.1908 (32 bit)
.NET runtime version: 4.0.30319.269
Time: 2012-06-09 11:55:58 +04:00
OS: Windows XP Professional Service Pack 3 x32 modus Version = 5.1.2600.196608
GDI object count: 84
User object count: 59
Exception: System.IO.FileNotFoundException
Message: Невозможно загрузить файл или сборку "System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" или один из зависимых от них компонентов. Не удается найти указанный файл.

Stack:
в AppLimit.CloudComputing.SharpBox.Common.Net.oAuth.Impl.OAuthUrlGenerator.GenerateSignedUrl(String baseRequestTokenUrl, String method, OAuthConsumerContext context, OAuthToken token)
в AppLimit.CloudComputing.SharpBox.StorageProvider.DropBox.DropBoxStorageProviderTools.GetDropBoxRequestToken(DropBoxConfiguration configuration, String ConsumerKey, String ConsumerSecret)
в GreenshotDropboxPlugin.SettingsForm.buttonAuthenticate_Click(Object sender, EventArgs e)
в System.Windows.Forms.Control.OnClick(EventArgs e)
в System.Windows.Forms.Button.OnClick(EventArgs e)
в System.Windows.Forms.Button.OnMouseUp(MouseEventArgs mevent)
в System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
в System.Windows.Forms.Control.WndProc(Message& m)
в System.Windows.Forms.ButtonBase.WndProc(Message& m)
в System.Windows.Forms.Button.WndProc(Message& m)
в System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
в System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
в System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Configuration dump:
[Core]
Language=ru-RU
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Ctrl + Shift + PrintScreen
IsFirstLaunch=False
Destinations=Picker
ClipboardFormats=DIB,PNG
CaptureMousepointer=True
CaptureWindowsInteractive=False
CaptureDelay=100
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=True
OutputFilePath=C:\Documents and Settings\a.chernenko\Рабочий стол
OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm_ss"}-${title}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutlookEmailFormat=HTML
OutlookAllowExportInMeetings=False
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Documents and Settings\a.chernenko\Рабочий стол\dummy.png
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
UseProxy=True
IECapture=True
IEFieldCapture=False
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=1
LastUpdateCheck=06/09/2012 11:54:38
DisableSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij idea
NoDWMCaptureForProduct=citrix ica client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
CheckUnstable=True
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.*
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.*
TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=

Discussion

  • Robin Krom
    Robin Krom
    2012-06-09

    • assigned_to: nobody --> apex75
     
  • Robin Krom
    Robin Krom
    2012-06-09

    Hi,

    The problem here is that you have the .net client profile installed, which doesn't make it possible to run the Dropbox plugin. You will need to install e full profile to work with this. (you can thank Microsoft for the confusion)

    The dropbox plugin is not written by the Greenshot Team and is still experimental. I'll try to make sure that plugins don't load/install when the wrong framework is installed.

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2012-06-25

    • status: open --> closed-fixed
     
  • Robin Krom
    Robin Krom
    2012-06-25

    With 1.0.0.1934 and later you will not be able to use the dropbox plugin unless you have the right .NET version installed. Although this might not be what you wanted, at least there shouldn't be any exceptions.

    Best wishes,
    Robin

     
  • Jens Klingen
    Jens Klingen
    2013-04-04

    • Status: closed-fixed --> closed